Software requirements

Ensure that all prerequisite software is installed on the computers in your infrastructure.

Server requirements

For information about operating systems on which BigFix, DB2® and SQL Server are supported, see: Detailed System requirements.

To learn about BigFix Platform system requirements, refer to BigFix 10 - Detailed System Requirements.

Table 1. Requirements for the BigFix Inventory server
Version Description
BigFix
  • 10.0
  • 9.5
  • 9.2
For information about the requirements, see:
DB2®
  • DB2® 10.5 with Fix Pack 6 or higher (Workgroup Server Edition, Enterprise Server Edition, or Advanced Enterprise Server Edition)
  • 10.0.0 DB2 11.5

    (The fixpack level should be in line with BigFix requirements.)

Operating system requirements
To use DB2 as a database, BigFix Inventory must be installed on Linux.
DB2 version
Note: DB2 11.5 For the list of databases supported by the BigFix platform, see: BigFix Platform 9.5: Detailed System Requirements and BigFix Platform 10: Detailed System Requirements
DB2® requirements
For information about the database requirements, see:
DB2® edition
DB2® Workgroup Server Edition is sufficient to work with BigFix Inventory regardless of the number of endpoints. You can use DB2® Enterprise Server Edition, or Advanced Enterprise Server Edition to have access to advanced features of DB2®.
DB2 upgrade considerations
Below are some of the DB2 upgrade considerations:
  • You can upgrade the DB2 to version 11.5 using the same machine as well using a new machine.
    • If you consider upgrading DB2 using the same machine, make sure that RHEL operating system is on version 7.6 or higher, or 8.1 or higher. Refer to DB2 upgrade on Linux for more information.
    • If you consider using a new machine, you can move the BigFix Inventory database to the new machine and upgrade DB2. To know more about it, refer to Moving the BigFix Inventory database.
  • DB2 upgrade is multistep process. Refer to the IBM DB2 documentation for details.
  • Upgrading the database needs sufficient disk space.
DB2 settings
  • Use a DB2 instance with default settings. Other required database settings are configured by BigFix Inventory installer.
Restriction: If you specify non-default DB2 settings, BigFix Inventory might not work properly.
Download DB2® software
For more information, see: Downloading and installing DB2®.
Support for DB2 11.5 GA
Refer to the support article to know about how support works for DB2 11.5 GA.
SQL Server
  • 2016 Express SP2
  • 2012 SP2 CU 10 , SP3 CU 3
  • 2012 Express® SP2 CU 10, SP3 CU 3
  • 2014 CU 12, SP1 CU 5
  • 2014 Express® CU 12, SP1 CU 5
  • 2016
  • 2016 Express SP2 or higher
  • 2017 version 14.0.3162.1 or higher
  • 2017 Express CU15 or higher
  • 2019
Note: SP = Service Pack, CU = Content Update
To use SQL Server as a database, BigFix Inventory must be installed on Windows.
SQL Server version

9.2.13 Starting from application update 9.2.13, you can use MS SQL 2016 as the database.

If you used MS SQL 2016 with earlier versions of BigFix Inventory, your environment was non-compliant from IBM perspective because data that was stored in the database might have been corrupted. Problems with historical data cannot be fixed. However, data collected after the upgrade to BigFix Inventory 9.2.13 is valid and compliant from IBM perspective.

SQL Server edition
Restriction: The BigFix installer allows for the installation of an evaluation version of MS SQL Server. However, such version expires after 180 days and should not be used in a production environment.
SQL Server settings
Ensure that snapshot isolation is enabled in the SQL Server. For information about the requirements, see the Microsoft SQL Server documentation.
The support for AlwaysOn solution has not been tested.
Permissions and roles
For more information about permissions and roles of MS SQL Server user, see: Permissions and roles.
Linux icon X server
  • X11R7.x
The X server is required if you want to install or uninstall the BigFix Inventory server in interactive mode on Red Hat Enterprise Linux. It is also required if you want to complete the server configuration by using a browser that is available on the computer where the BigFix Inventory server is installed.
Restriction: XMing X Server for Windows is not supported.

Other software requirements

Table 2. Other software requirements for BigFix Inventory
Required software Required versions Comments
BigFix client Ensure that the version of the BigFix client that you install in your environment is supported by the BigFix platform.
Web Reports A component of the BigFix platform that is required by BigFix Inventory to configure VM managers. Web Reports can be installed during the installation of BigFix, and must reside on the same server.
Browser Internet Explorer

BigFix Inventory is tested in Internet Explorer version 11.

Note: Internet Explorer must have TLS 1.2 enabled if you want to use TLS 1.2 for secure communication with SSL. You can also use TLS 1.0 for secure communication with SSL.
Requirements
  • JavaScript must be enabled in the browser.
  • Minimal supported screen resolution is 1360x768 pixels.
  • Recommended screen resolution is 1920x1080 pixels.

Proxies

Proxies are supported and depend on the server configuration. With the default configuration, use SSL proxies. If you disabled SSL on the server, then use HTTP proxies. In big environments, the connections might time out with time-consuming operations (downloading extensive reports). In such a case, increase the timeout limit for communication between the proxy and BigFix Inventory.

Firefox 17 Extended Support Release (ESR) or higher ESR editions
Note: To use TLS 1.2, check whether your version of the browser supports it and whether it is enabled. Otherwise, use TLS 1.0 for secure communication with SSL.
Chrome 35 or higher
Restriction: You can experience problems with checking the detailed information about the metric quantity on the Metric Quantity History and Maximal Trend Value History graphs on License Metrics reports. Once you hover over the graph, the information about metric quantity might not be properly displayed, or might not appear at all.
9.2.14 Microsoft Edge
Restriction:
  • Reports cannot be exported to PDF when multiple columns are selected. Export the data to CSV file instead.
  • In reports where IP Address column is enabled, the IP address is a link that is activated by an external plug-in, such as Skype. To remove the link, disable the plug-in.
  • You can experience problems with checking the detailed information about the metric quantity on the Metric Quantity History and Maximal Trend Value History graphs on License Metrics reports. Once you hover over the graph, the information about metric quantity might not be properly displayed, or might not appear at all.
Linux icon KornShell

Original ksh package can be obtained from the Red Hat Enterprise Linux installation disc. Open source alternatives, such as pdksh and mksh, are not supported.

National language pack for PDF reader To display PDF reports in a native language, a language pack that displays the native language fonts might be required.

Red Hat packages

The following packages are required if you install the components on Red Hat Enterprise Linux.

Table 3. Red Hat packages that are required for the installation
Component Required packages
BigFix
  • cyrus-sasl-lib.x86_64
  • krb5-libs.x86_64
  • libpng12.x86_64 (for Red Hat Enterprise Linux 7.x)
  • libstdc++.i686
  • libstdc++.x86_64 and all dependencies
  • libXext.x86_64 (Web Reports only)
  • libXrender.x86_64 (Web Reports only)
  • zlib.x86_64 (Web Reports only)
BigFix Inventory server
  • ksh
DB2®
  • libstdc++.so.6.0.8
  • Red Hat binutils